module     p0_dubar_emnebar_diagramsh0l0
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W/1.4/Virtual/p0_du
   ! bar_emnebar/helicity0/diagramsl0.f90
   ! generator: haggies (1.1)
   use p0_dubar_emnebar_color, only: numcs
   use p0_dubar_emnebar_config, only: ki
   implicit none

   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   complex(ki), dimension(numcs), parameter :: zero_col = 0.0_ki

   public :: amplitude

contains
   function     amplitude()
      use p0_dubar_emnebar_model
      use p0_dubar_emnebar_kinematics
      use p0_dubar_emnebar_color
      use p0_dubar_emnebar_config, only: debug_lo_diagrams, &
        & use_sorted_sum
      use p0_dubar_emnebar_accu, only: sorted_sum
      use p0_dubar_emnebar_util, only: inspect_lo_diagram
      implicit none
      complex(ki), dimension(numcs) :: amplitude
      complex(ki), dimension(1,numcs) :: diagrams
      integer :: i
      diagrams(:,:) = (0.0_ki, 0.0_ki)
      diagrams(1, :) = spbk4k1*spak2k3*i_*(-2.0_ki)/(es12+i_*mW*wW-mW*mW)*c1
      if (debug_lo_diagrams) then
         call inspect_lo_diagram(diagrams(1,:), 1, 0, 19)
      end if

      if (use_sorted_sum) then
         do i=1,numcs
            amplitude(i) = sorted_sum(diagrams(:,i))
         end do
      else
         do i=1,numcs
            amplitude(i) = sum(diagrams(:,i))
         end do
      end if
   end function     amplitude
end module p0_dubar_emnebar_diagramsh0l0
